Loading...
Searching...
No Matches
caf::mailbox_category_corrector<... > Struct Template Reference

Corrects the message ID for down- and upstream messages to make sure the category for a mailbox_element matches its content. More...

`#include <mailbox_element.hpp>`

## Static Public Member Functions

static constexpr message_id | apply (message_id x) noexcept

## Detailed Description

template<class...>
struct caf::mailbox_category_corrector<... >

Corrects the message ID for down- and upstream messages to make sure the category for a mailbox_element matches its content.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/mailbox_element.hpp